#include "dsofinder.h"

// THIS FILE CAN BE EDITED FREELY TO ALTER SEARCHPARAMETERS OR ADD NEW ITEMS
// IF YOU DO SO MAKE SURE THAT ARRAY-SIZES FIT:
// itemcount = TOTAL NUMBER OF ITEMS
// items.shapecount = TOTAL NUMBER OF DIFFERENT PATTERNS OR SHAPES FOR ONE ITEM
// items.shape.pixelcount = TOTAL NUMBER OF DEFINED PIXELS PER SHAPE
// borderbox = AT LEAST THE MAXIMUM SPREAD OF RELATIVE X AND Y POSITIONS +1. IF DEFINED PIXELS HAVE e.g.: -1, -4, 2, 3 AS RELATIVE pos, THEN borderbox MUST BE AT LEAST 5! (abs(-4)+1)
// FAILURE IN ANY OF THIS MAY LEAD TO CRASHES

void DsoFinder::init_items()
{
    borderbox = 10;
    itemcount = 0;
    if(config.useitems_basic) itemcount += 8;
    if(config.useitems_adventure) itemcount += 2;
    itemcount += events[config.use_event].itemcount;

    items = new item[itemcount];
    i=0;

    if(config.useitems_basic) {
        items[i].caption = "Scarecrow";
        items[i].item_type = "standard";
        items[i].color = QColor(255,0,0);
        items[i].alt_color = QColor(0,0,250);
        items[i].penstyle = Qt::SolidLine;
        items[i].shapecount = 1;
        items[i].shape = new item_shape[items[i].shapecount];
        items[i].shape[0].needed = 3;
        items[i].shape[0].pixelcount = 3;
        items[i].shape[0].pixel = new pixel_data[items[i].shape[0].pixelcount];
        items[i].shape[0].pixel[0].r.min = 130;
        items[i].shape[0].pixel[0].r.max = 150;
        items[i].shape[0].pixel[0].g.min = 103;
        items[i].shape[0].pixel[0].g.max = 120;
        items[i].shape[0].pixel[0].b.min = 40;
        items[i].shape[0].pixel[0].b.max = 50;
        items[i].shape[0].pixel[0].pos.x_pos = 0;
        items[i].shape[0].pixel[0].pos.y_pos = 0;
        items[i].shape[0].pixel[1].r.min = 80;
        items[i].shape[0].pixel[1].r.max = 105;
        items[i].shape[0].pixel[1].g.min = 85;
        items[i].shape[0].pixel[1].g.max = 115;
        items[i].shape[0].pixel[1].b.min = 92;
        items[i].shape[0].pixel[1].b.max = 125;
        items[i].shape[0].pixel[1].pos.x_pos = 1;
        items[i].shape[0].pixel[1].pos.y_pos = 1;
        items[i].shape[0].pixel[2].r.min = 65;
        items[i].shape[0].pixel[2].r.max = 90;
        items[i].shape[0].pixel[2].g.min = 70;
        items[i].shape[0].pixel[2].g.max = 90;
        items[i].shape[0].pixel[2].b.min = 65;
        items[i].shape[0].pixel[2].b.max = 90;
        items[i].shape[0].pixel[2].pos.x_pos = 0;
        items[i].shape[0].pixel[2].pos.y_pos = 2;
        i++;

        items[i].caption = "Foodcart";
        items[i].item_type = "standard";
        items[i].color = QColor(255,0,0);
        items[i].alt_color = QColor(0,0,250);
        items[i].penstyle = Qt::DotLine;
        items[i].shapecount = 1;
        items[i].shape = new item_shape[items[i].shapecount];
        items[i].shape[0].needed = 3;
        items[i].shape[0].pixelcount = 3;
        items[i].shape[0].pixel = new pixel_data[items[i].shape[0].pixelcount];
        items[i].shape[0].pixel[0].r.min = 180;
        items[i].shape[0].pixel[0].r.max = 200;
        items[i].shape[0].pixel[0].g.min = 100;
        items[i].shape[0].pixel[0].g.max = 115;
        items[i].shape[0].pixel[0].b.min = 25;
        items[i].shape[0].pixel[0].b.max = 40;
        items[i].shape[0].pixel[0].pos.x_pos = 0;
        items[i].shape[0].pixel[0].pos.y_pos = 0;
        items[i].shape[0].pixel[1].r.min = 120;
        items[i].shape[0].pixel[1].r.max = 140;
        items[i].shape[0].pixel[1].g.min = 45;
        items[i].shape[0].pixel[1].g.max = 60;
        items[i].shape[0].pixel[1].b.min = 25;
        items[i].shape[0].pixel[1].b.max = 40;
        items[i].shape[0].pixel[1].pos.x_pos = 1;
        items[i].shape[0].pixel[1].pos.y_pos = 1;
        items[i].shape[0].pixel[2].r.min = 55;
        items[i].shape[0].pixel[2].r.max = 80;
        items[i].shape[0].pixel[2].g.min = 30;
        items[i].shape[0].pixel[2].g.max = 50;
        items[i].shape[0].pixel[2].b.min = 15;
        items[i].shape[0].pixel[2].b.max = 35;
        items[i].shape[0].pixel[2].pos.x_pos = 0;
        items[i].shape[0].pixel[2].pos.y_pos = 2;
        i++;

        items[i].caption = "Herbs";
        items[i].item_type = "standard";
        items[i].color = QColor(255,0,0);
        items[i].alt_color = QColor(0,0,250);
        items[i].penstyle = Qt::SolidLine;
        items[i].shapecount = 3;
        items[i].shape = new item_shape[items[i].shapecount];
        items[i].shape[0].needed = 2;
        items[i].shape[0].pixelcount = 3;
        items[i].shape[0].pixel = new pixel_data[items[i].shape[0].pixelcount];
        items[i].shape[0].pixel[0].r.min = 165;
        items[i].shape[0].pixel[0].r.max = 210;
        items[i].shape[0].pixel[0].g.min = 170;
        items[i].shape[0].pixel[0].g.max = 210;
        items[i].shape[0].pixel[0].b.min = 110;
        items[i].shape[0].pixel[0].b.max = 145;
        items[i].shape[0].pixel[0].pos.x_pos = 0;
        items[i].shape[0].pixel[0].pos.y_pos = 0;
        items[i].shape[0].pixel[1].r.min = 130;
        items[i].shape[0].pixel[1].r.max = 180;
        items[i].shape[0].pixel[1].g.min = 60;
        items[i].shape[0].pixel[1].g.max = 90;
        items[i].shape[0].pixel[1].b.min = 130;
        items[i].shape[0].pixel[1].b.max = 170;
        items[i].shape[0].pixel[1].pos.x_pos = 0;
        items[i].shape[0].pixel[1].pos.y_pos = 2;
        items[i].shape[0].pixel[2].r.min = 115;
        items[i].shape[0].pixel[2].r.max = 145;
        items[i].shape[0].pixel[2].g.min = 50;
        items[i].shape[0].pixel[2].g.max = 90;
        items[i].shape[0].pixel[2].b.min = 95;
        items[i].shape[0].pixel[2].b.max = 120;
        items[i].shape[0].pixel[2].pos.x_pos = -2;
        items[i].shape[0].pixel[2].pos.y_pos = -1;

        // Herb (hidden)
        items[i].shape[1].needed = 2;
        items[i].shape[1].pixelcount = 2;
        items[i].shape[1].pixel = new pixel_data[items[i].shape[1].pixelcount];
        items[i].shape[1].pixel[0].r.min = 115;
        items[i].shape[1].pixel[0].r.max = 140;
        items[i].shape[1].pixel[0].g.min = 120;
        items[i].shape[1].pixel[0].g.max = 145;
        items[i].shape[1].pixel[0].b.min = 70;
        items[i].shape[1].pixel[0].b.max = 95;
        items[i].shape[1].pixel[0].pos.x_pos = 0;
        items[i].shape[1].pixel[0].pos.y_pos = 0;
        items[i].shape[1].pixel[1].r.min = 85;
        items[i].shape[1].pixel[1].r.max = 110;
        items[i].shape[1].pixel[1].g.min = 30;
        items[i].shape[1].pixel[1].g.max = 60;
        items[i].shape[1].pixel[1].b.min = 80;
        items[i].shape[1].pixel[1].b.max = 110;
        items[i].shape[1].pixel[1].pos.x_pos = 0;
        items[i].shape[1].pixel[1].pos.y_pos = 2;

        //Herb (half-hidden)
        items[i].shape[2].needed = 2;
        items[i].shape[2].pixelcount = 2;
        items[i].shape[2].pixel = new pixel_data[items[i].shape[2].pixelcount];
        items[i].shape[2].pixel[0].r.min = 150;
        items[i].shape[2].pixel[0].r.max = 175;
        items[i].shape[2].pixel[0].g.min = 160;
        items[i].shape[2].pixel[0].g.max = 190;
        items[i].shape[2].pixel[0].b.min = 100;
        items[i].shape[2].pixel[0].b.max = 125;
        items[i].shape[2].pixel[0].pos.x_pos = 0;
        items[i].shape[2].pixel[0].pos.y_pos = 0;
        items[i].shape[2].pixel[1].r.min = 115;
        items[i].shape[2].pixel[1].r.max = 140;
        items[i].shape[2].pixel[1].g.min = 50;
        items[i].shape[2].pixel[1].g.max = 80;
        items[i].shape[2].pixel[1].b.min = 115;
        items[i].shape[2].pixel[1].b.max = 140;
        items[i].shape[2].pixel[1].pos.x_pos = 0;
        items[i].shape[2].pixel[1].pos.y_pos = 2;
        i++;

        items[i].caption = "Kessel";
        items[i].item_type = "standard";
        items[i].color = QColor(255,0,0);
        items[i].alt_color = QColor(0,0,250);
        items[i].penstyle = Qt::DotLine;
        items[i].shapecount = 1;
        items[i].shape = new item_shape[items[i].shapecount];
        items[i].shape[0].needed = 3;
        items[i].shape[0].pixelcount = 3;
        items[i].shape[0].pixel = new pixel_data[items[i].shape[0].pixelcount];
        items[i].shape[0].pixel[0].r.min = 105;
        items[i].shape[0].pixel[0].r.max = 130;
        items[i].shape[0].pixel[0].g.min = 80;
        items[i].shape[0].pixel[0].g.max = 95;
        items[i].shape[0].pixel[0].b.min = 30;
        items[i].shape[0].pixel[0].b.max = 50;
        items[i].shape[0].pixel[0].pos.x_pos = 0;
        items[i].shape[0].pixel[0].pos.y_pos = 0;
        items[i].shape[0].pixel[1].r.min = 60;
        items[i].shape[0].pixel[1].r.max = 80;
        items[i].shape[0].pixel[1].g.min = 30;
        items[i].shape[0].pixel[1].g.max = 50;
        items[i].shape[0].pixel[1].b.min = 5;
        items[i].shape[0].pixel[1].b.max = 20;
        items[i].shape[0].pixel[1].pos.x_pos = 0;
        items[i].shape[0].pixel[1].pos.y_pos = 1;
        items[i].shape[0].pixel[2].r.min = 80;
        items[i].shape[0].pixel[2].r.max = 120;
        items[i].shape[0].pixel[2].g.min = 75;
        items[i].shape[0].pixel[2].g.max = 110;
        items[i].shape[0].pixel[2].b.min = 60;
        items[i].shape[0].pixel[2].b.max = 90;
        items[i].shape[0].pixel[2].pos.x_pos = 0;
        items[i].shape[0].pixel[2].pos.y_pos = 2;
        i++;

        items[i].caption = "Banner";
        items[i].item_type = "standard";
        items[i].color = QColor(255,0,0);
        items[i].alt_color = QColor(0,0,250);
        items[i].penstyle = Qt::DotLine;
        items[i].shapecount = 1;
        items[i].shape = new item_shape[items[i].shapecount];
        items[i].shape[0].needed = 4;
        items[i].shape[0].pixelcount = 4;
        items[i].shape[0].pixel = new pixel_data[items[i].shape[0].pixelcount];
        items[i].shape[0].pixel[0].r.min = 95;
        items[i].shape[0].pixel[0].r.max = 120;
        items[i].shape[0].pixel[0].g.min = 40;
        items[i].shape[0].pixel[0].g.max = 60;
        items[i].shape[0].pixel[0].b.min = 10;
        items[i].shape[0].pixel[0].b.max = 30;
        items[i].shape[0].pixel[0].pos.x_pos = 0;
        items[i].shape[0].pixel[0].pos.y_pos = 0;
        items[i].shape[0].pixel[1].r.min = 60;
        items[i].shape[0].pixel[1].r.max = 90;
        items[i].shape[0].pixel[1].g.min = 20;
        items[i].shape[0].pixel[1].g.max = 45;
        items[i].shape[0].pixel[1].b.min = 5;
        items[i].shape[0].pixel[1].b.max = 20;
        items[i].shape[0].pixel[1].pos.x_pos = 1;
        items[i].shape[0].pixel[1].pos.y_pos = 0;
        items[i].shape[0].pixel[2].r.min = 120;
        items[i].shape[0].pixel[2].r.max = 200;
        items[i].shape[0].pixel[2].g.min = 80;
        items[i].shape[0].pixel[2].g.max = 150;
        items[i].shape[0].pixel[2].b.min = 10;
        items[i].shape[0].pixel[2].b.max = 40;
        items[i].shape[0].pixel[2].pos.x_pos = 1;
        items[i].shape[0].pixel[2].pos.y_pos = 3;
        items[i].shape[0].pixel[3].r.min = 90;
        items[i].shape[0].pixel[3].r.max = 160;
        items[i].shape[0].pixel[3].g.min = 50;
        items[i].shape[0].pixel[3].g.max = 100;
        items[i].shape[0].pixel[3].b.min = 40;
        items[i].shape[0].pixel[3].b.max = 100;
        items[i].shape[0].pixel[3].pos.x_pos = 1;
        items[i].shape[0].pixel[3].pos.y_pos = 2;
        i++;

        items[i].caption = "Wine Barrel";
        items[i].item_type = "standard";
        items[i].color = QColor(255,0,0);
        items[i].alt_color = QColor(0,0,250);
        items[i].penstyle = Qt::SolidLine;
        items[i].shapecount = 1;
        items[i].shape = new item_shape[items[i].shapecount];
        items[i].shape[0].needed = 3;
        items[i].shape[0].pixelcount = 3;
        items[i].shape[0].pixel = new pixel_data[items[i].shape[0].pixelcount];
        items[i].shape[0].pixel[0].r.min = 100;
        items[i].shape[0].pixel[0].r.max = 120;
        items[i].shape[0].pixel[0].g.min = 98;
        items[i].shape[0].pixel[0].g.max = 115;
        items[i].shape[0].pixel[0].b.min = 88;
        items[i].shape[0].pixel[0].b.max = 105;
        items[i].shape[0].pixel[0].pos.x_pos = 0;
        items[i].shape[0].pixel[0].pos.y_pos = 0;
        items[i].shape[0].pixel[1].r.min = 95;
        items[i].shape[0].pixel[1].r.max = 115;
        items[i].shape[0].pixel[1].g.min = 78;
        items[i].shape[0].pixel[1].g.max = 95;
        items[i].shape[0].pixel[1].b.min = 35;
        items[i].shape[0].pixel[1].b.max = 50;
        items[i].shape[0].pixel[1].pos.x_pos = 0;
        items[i].shape[0].pixel[1].pos.y_pos = -1;
        items[i].shape[0].pixel[2].r.min = 78;
        items[i].shape[0].pixel[2].r.max = 105;
        items[i].shape[0].pixel[2].g.min = 75;
        items[i].shape[0].pixel[2].g.max = 100;
        items[i].shape[0].pixel[2].b.min = 65;
        items[i].shape[0].pixel[2].b.max = 90;
        items[i].shape[0].pixel[2].pos.x_pos = 2;
        items[i].shape[0].pixel[2].pos.y_pos = -1;
        i++;

        items[i].caption = "Fur";
        items[i].item_type = "standard";
        items[i].color = QColor(255,0,0);
        items[i].alt_color = QColor(0,0,250);
        items[i].penstyle = Qt::DotLine;
        items[i].shapecount = 2;
        items[i].shape = new item_shape[items[i].shapecount];
        items[i].shape[0].needed = 3;
        items[i].shape[0].pixelcount = 3;
        items[i].shape[0].pixel = new pixel_data[items[i].shape[0].pixelcount];
        items[i].shape[0].pixel[0].r.min = 118;
        items[i].shape[0].pixel[0].r.max = 125;
        items[i].shape[0].pixel[0].g.min = 67;
        items[i].shape[0].pixel[0].g.max = 72;
        items[i].shape[0].pixel[0].b.min = 32;
        items[i].shape[0].pixel[0].b.max = 40;
        items[i].shape[0].pixel[0].pos.x_pos = 0;
        items[i].shape[0].pixel[0].pos.y_pos = 0;
        items[i].shape[0].pixel[1].r.min = 135;
        items[i].shape[0].pixel[1].r.max = 140;
        items[i].shape[0].pixel[1].g.min = 77;
        items[i].shape[0].pixel[1].g.max = 84;
        items[i].shape[0].pixel[1].b.min = 40;
        items[i].shape[0].pixel[1].b.max = 50;
        items[i].shape[0].pixel[1].pos.x_pos = 0;
        items[i].shape[0].pixel[1].pos.y_pos = 1;
        items[i].shape[0].pixel[2].r.min = 100;
        items[i].shape[0].pixel[2].r.max = 110;
        items[i].shape[0].pixel[2].g.min = 68;
        items[i].shape[0].pixel[2].g.max = 75;
        items[i].shape[0].pixel[2].b.min = 28;
        items[i].shape[0].pixel[2].b.max = 35;
        items[i].shape[0].pixel[2].pos.x_pos = 1;
        items[i].shape[0].pixel[2].pos.y_pos = 1;

        //Big Fur

        items[i].shape[1].needed = 5;
        items[i].shape[1].pixelcount = 5;
        items[i].shape[1].pixel = new pixel_data[items[i].shape[1].pixelcount];
        items[i].shape[1].pixel[0].r.min = 130;
        items[i].shape[1].pixel[0].r.max = 150;
        items[i].shape[1].pixel[0].g.min = 70;
        items[i].shape[1].pixel[0].g.max = 90;
        items[i].shape[1].pixel[0].b.min = 40;
        items[i].shape[1].pixel[0].b.max = 65;
        items[i].shape[1].pixel[0].pos.x_pos = 0;
        items[i].shape[1].pixel[0].pos.y_pos = 0;
        items[i].shape[1].pixel[1].r.min = 130;
        items[i].shape[1].pixel[1].r.max = 150;
        items[i].shape[1].pixel[1].g.min = 70;
        items[i].shape[1].pixel[1].g.max = 90;
        items[i].shape[1].pixel[1].b.min = 40;
        items[i].shape[1].pixel[1].b.max = 65;
        items[i].shape[1].pixel[1].pos.x_pos = 1;
        items[i].shape[1].pixel[1].pos.y_pos = 0;
        items[i].shape[1].pixel[2].r.min = 130;
        items[i].shape[1].pixel[2].r.max = 150;
        items[i].shape[1].pixel[2].g.min = 70;
        items[i].shape[1].pixel[2].g.max = 90;
        items[i].shape[1].pixel[2].b.min = 40;
        items[i].shape[1].pixel[2].b.max = 65;
        items[i].shape[1].pixel[2].pos.x_pos = 2;
        items[i].shape[1].pixel[2].pos.y_pos = 0;
        items[i].shape[1].pixel[3].r.min = 130;
        items[i].shape[1].pixel[3].r.max = 150;
        items[i].shape[1].pixel[3].g.min = 70;
        items[i].shape[1].pixel[3].g.max = 90;
        items[i].shape[1].pixel[3].b.min = 40;
        items[i].shape[1].pixel[3].b.max = 65;
        items[i].shape[1].pixel[3].pos.x_pos = 3;
        items[i].shape[1].pixel[3].pos.y_pos = 0;
        items[i].shape[1].pixel[4].r.min = 120;
        items[i].shape[1].pixel[4].r.max = 150;
        items[i].shape[1].pixel[4].g.min = 70;
        items[i].shape[1].pixel[4].g.max = 90;
        items[i].shape[1].pixel[4].b.min = 40;
        items[i].shape[1].pixel[4].b.max = 65;
        items[i].shape[1].pixel[4].pos.x_pos = 4;
        items[i].shape[1].pixel[4].pos.y_pos = 0;
        i++;

        items[i].caption = "Grain Sack";
        items[i].item_type = "standard";
        items[i].color = QColor(255,0,0);
        items[i].alt_color = QColor(0,0,250);
        items[i].penstyle = Qt::DotLine;
        items[i].shapecount = 1;
        items[i].shape = new item_shape[items[i].shapecount];
        items[i].shape[0].needed = 3;
        items[i].shape[0].pixelcount = 3;
        items[i].shape[0].pixel = new pixel_data[items[i].shape[0].pixelcount];
        items[i].shape[0].pixel[0].r.min = 153;
        items[i].shape[0].pixel[0].r.max = 170;
        items[i].shape[0].pixel[0].g.min = 134;
        items[i].shape[0].pixel[0].g.max = 150;
        items[i].shape[0].pixel[0].b.min = 70;
        items[i].shape[0].pixel[0].b.max = 80;
        items[i].shape[0].pixel[0].pos.x_pos = 0;
        items[i].shape[0].pixel[0].pos.y_pos = 0;
        items[i].shape[0].pixel[1].r.min = 185;
        items[i].shape[0].pixel[1].r.max = 210;
        items[i].shape[0].pixel[1].g.min = 166;
        items[i].shape[0].pixel[1].g.max = 190;
        items[i].shape[0].pixel[1].b.min = 94;
        items[i].shape[0].pixel[1].b.max = 110;
        items[i].shape[0].pixel[1].pos.x_pos = 1;
        items[i].shape[0].pixel[1].pos.y_pos = 0;
        items[i].shape[0].pixel[2].r.min = 145;
        items[i].shape[0].pixel[2].r.max = 175;
        items[i].shape[0].pixel[2].g.min = 125;
        items[i].shape[0].pixel[2].g.max = 150;
        items[i].shape[0].pixel[2].b.min = 75;
        items[i].shape[0].pixel[2].b.max = 95;
        items[i].shape[0].pixel[2].pos.x_pos = 1;
        items[i].shape[0].pixel[2].pos.y_pos = 2;
        i++;
    }

    if(config.useitems_adventure) {
        items[i].caption = "Bronzekessel";
        items[i].item_type = "adventure";
        items[i].color = QColor(255,0,0);
        items[i].alt_color = QColor(0,0,250);
        items[i].penstyle = Qt::SolidLine;
        items[i].shapecount = 1;
        items[i].shape = new item_shape[items[i].shapecount];
        items[i].shape[0].needed = 5;
        items[i].shape[0].pixelcount = 5;
        items[i].shape[0].pixel = new pixel_data[items[i].shape[0].pixelcount];
        items[i].shape[0].pixel[0].r.min = 100;
        items[i].shape[0].pixel[0].r.max = 160;
        items[i].shape[0].pixel[0].g.min = 50;
        items[i].shape[0].pixel[0].g.max = 100;
        items[i].shape[0].pixel[0].b.min = 0;
        items[i].shape[0].pixel[0].b.max = 20;
        items[i].shape[0].pixel[0].pos.x_pos = 0;
        items[i].shape[0].pixel[0].pos.y_pos = 0;
        items[i].shape[0].pixel[1].r.min = 130;
        items[i].shape[0].pixel[1].r.max = 190;
        items[i].shape[0].pixel[1].g.min = 80;
        items[i].shape[0].pixel[1].g.max = 150;
        items[i].shape[0].pixel[1].b.min = 5;
        items[i].shape[0].pixel[1].b.max = 50;
        items[i].shape[0].pixel[1].pos.x_pos = 0;
        items[i].shape[0].pixel[1].pos.y_pos = 2;
        items[i].shape[0].pixel[2].r.min = 175;
        items[i].shape[0].pixel[2].r.max = 230;
        items[i].shape[0].pixel[2].g.min = 145;
        items[i].shape[0].pixel[2].g.max = 190;
        items[i].shape[0].pixel[2].b.min = 40;
        items[i].shape[0].pixel[2].b.max = 100;
        items[i].shape[0].pixel[2].pos.x_pos = 1;
        items[i].shape[0].pixel[2].pos.y_pos = 2;
        items[i].shape[0].pixel[3].r.min = 30;
        items[i].shape[0].pixel[3].r.max = 75;
        items[i].shape[0].pixel[3].g.min = 20;
        items[i].shape[0].pixel[3].g.max = 50;
        items[i].shape[0].pixel[3].b.min = 5;
        items[i].shape[0].pixel[3].b.max = 40;
        items[i].shape[0].pixel[3].pos.x_pos = 0;
        items[i].shape[0].pixel[3].pos.y_pos = 3;
        items[i].shape[0].pixel[4].r.min = 80;
        items[i].shape[0].pixel[4].r.max = 130;
        items[i].shape[0].pixel[4].g.min = 80;
        items[i].shape[0].pixel[4].g.max = 130;
        items[i].shape[0].pixel[4].b.min = 50;
        items[i].shape[0].pixel[4].b.max = 110;
        items[i].shape[0].pixel[4].pos.x_pos = 2;
        items[i].shape[0].pixel[4].pos.y_pos = 3;
        i++;

        items[i].caption = "Adamantium Ore";
        items[i].item_type = "adventure";
        items[i].color = QColor(255,0,0);
        items[i].alt_color = QColor(0,0,250);
        items[i].penstyle = Qt::DotLine;
        items[i].shapecount = 1;
        items[i].shape = new item_shape[items[i].shapecount];
        items[i].shape[0].needed = 2;
        items[i].shape[0].pixelcount = 2;
        items[i].shape[0].pixel = new pixel_data[items[i].shape[0].pixelcount];
        items[i].shape[0].pixel[0].r.min = 112;
        items[i].shape[0].pixel[0].r.max = 120;
        items[i].shape[0].pixel[0].g.min = 168;
        items[i].shape[0].pixel[0].g.max = 175;
        items[i].shape[0].pixel[0].b.min = 168;
        items[i].shape[0].pixel[0].b.max = 175;
        items[i].shape[0].pixel[0].pos.x_pos = 0;
        items[i].shape[0].pixel[0].pos.y_pos = 0;
        items[i].shape[0].pixel[1].r.min = 108;
        items[i].shape[0].pixel[1].r.max = 115;
        items[i].shape[0].pixel[1].g.min = 170;
        items[i].shape[0].pixel[1].g.max = 180;
        items[i].shape[0].pixel[1].b.min = 165;
        items[i].shape[0].pixel[1].b.max = 175;
        items[i].shape[0].pixel[1].pos.x_pos = 0;
        items[i].shape[0].pixel[1].pos.y_pos = 1;
        i++;
    }

    //if(config.useitems_halloween13) {
    if(config.use_event == 1) {
        items[i].caption = "Kuerbis";
        items[i].item_type = "event";
        items[i].color = QColor(220,170,40);
        items[i].alt_color = QColor(220,170,40);
        items[i].penstyle = Qt::SolidLine;
        items[i].shapecount = 1;
        items[i].shape = new item_shape[items[i].shapecount];
        items[i].shape[0].needed = 3;
        items[i].shape[0].pixelcount = 3;
        items[i].shape[0].pixel = new pixel_data[items[i].shape[0].pixelcount];
        items[i].shape[0].pixel[0].r.min = 210;
        items[i].shape[0].pixel[0].r.max = 225;
        items[i].shape[0].pixel[0].g.min = 140;
        items[i].shape[0].pixel[0].g.max = 160;
        items[i].shape[0].pixel[0].b.min = 25;
        items[i].shape[0].pixel[0].b.max = 40;
        items[i].shape[0].pixel[0].pos.x_pos = 0;
        items[i].shape[0].pixel[0].pos.y_pos = 0;
        items[i].shape[0].pixel[1].r.min = 145;
        items[i].shape[0].pixel[1].r.max = 160;
        items[i].shape[0].pixel[1].g.min = 70;
        items[i].shape[0].pixel[1].g.max = 90;
        items[i].shape[0].pixel[1].b.min = 15;
        items[i].shape[0].pixel[1].b.max = 30;
        items[i].shape[0].pixel[1].pos.x_pos = 1;
        items[i].shape[0].pixel[1].pos.y_pos = 0;
        items[i].shape[0].pixel[2].r.min = 60;
        items[i].shape[0].pixel[2].r.max = 85;
        items[i].shape[0].pixel[2].g.min = 50;
        items[i].shape[0].pixel[2].g.max = 70;
        items[i].shape[0].pixel[2].b.min = 0;
        items[i].shape[0].pixel[2].b.max = 15;
        items[i].shape[0].pixel[2].pos.x_pos = 1;
        items[i].shape[0].pixel[2].pos.y_pos = 1;
        i++;
    }

    //if(config.useitems_christmas13) {
    if(config.use_event == 2) {
        items[i].caption = "Candy";
        items[i].item_type = "event";
        items[i].color = QColor(220,170,40);
        items[i].alt_color = QColor(220,170,40);
        items[i].penstyle = Qt::SolidLine;
        items[i].shapecount = 1;
        items[i].shape = new item_shape[items[i].shapecount];
        items[i].shape[0].needed = 3;
        items[i].shape[0].pixelcount = 3;
        items[i].shape[0].pixel = new pixel_data[items[i].shape[0].pixelcount];
        items[i].shape[0].pixel[0].r.min = 25;
        items[i].shape[0].pixel[0].r.max = 45;
        items[i].shape[0].pixel[0].g.min = 140;
        items[i].shape[0].pixel[0].g.max = 190;
        items[i].shape[0].pixel[0].b.min = 160;
        items[i].shape[0].pixel[0].b.max = 210;
        items[i].shape[0].pixel[0].pos.x_pos = 0;
        items[i].shape[0].pixel[0].pos.y_pos = 0;
        items[i].shape[0].pixel[1].r.min = 170;
        items[i].shape[0].pixel[1].r.max = 200;
        items[i].shape[0].pixel[1].g.min = 95;
        items[i].shape[0].pixel[1].g.max = 115;
        items[i].shape[0].pixel[1].b.min = 90;
        items[i].shape[0].pixel[1].b.max = 110;
        items[i].shape[0].pixel[1].pos.x_pos = 1;
        items[i].shape[0].pixel[1].pos.y_pos = 1;
        items[i].shape[0].pixel[2].r.min = 30;
        items[i].shape[0].pixel[2].r.max = 45;
        items[i].shape[0].pixel[2].g.min = 155;
        items[i].shape[0].pixel[2].g.max = 190;
        items[i].shape[0].pixel[2].b.min = 170;
        items[i].shape[0].pixel[2].b.max = 200;
        items[i].shape[0].pixel[2].pos.x_pos = 0;
        items[i].shape[0].pixel[2].pos.y_pos = 2;
        i++;

        items[i].caption = "Gingerbread";
        items[i].item_type = "event";
        items[i].color = QColor(220,170,40);
        items[i].alt_color = QColor(220,170,40);
        items[i].penstyle = Qt::SolidLine;
        items[i].shapecount = 1;
        items[i].shape = new item_shape[items[i].shapecount];
        items[i].shape[0].needed = 3;
        items[i].shape[0].pixelcount = 3;
        items[i].shape[0].pixel = new pixel_data[items[i].shape[0].pixelcount];
        items[i].shape[0].pixel[0].r.min = 105;
        items[i].shape[0].pixel[0].r.max = 130;
        items[i].shape[0].pixel[0].g.min = 80;
        items[i].shape[0].pixel[0].g.max = 100;
        items[i].shape[0].pixel[0].b.min = 45;
        items[i].shape[0].pixel[0].b.max = 65;
        items[i].shape[0].pixel[0].pos.x_pos = 0;
        items[i].shape[0].pixel[0].pos.y_pos = 0;
        items[i].shape[0].pixel[1].r.min = 160;
        items[i].shape[0].pixel[1].r.max = 185;
        items[i].shape[0].pixel[1].g.min = 80;
        items[i].shape[0].pixel[1].g.max = 100;
        items[i].shape[0].pixel[1].b.min = 35;
        items[i].shape[0].pixel[1].b.max = 50;
        items[i].shape[0].pixel[1].pos.x_pos = 1;
        items[i].shape[0].pixel[1].pos.y_pos = 0;
        items[i].shape[0].pixel[2].r.min = 175;
        items[i].shape[0].pixel[2].r.max = 210;
        items[i].shape[0].pixel[2].g.min = 115;
        items[i].shape[0].pixel[2].g.max = 145;
        items[i].shape[0].pixel[2].b.min = 70;
        items[i].shape[0].pixel[2].b.max = 100;
        items[i].shape[0].pixel[2].pos.x_pos = 2;
        items[i].shape[0].pixel[2].pos.y_pos = 0;
        i++;

        items[i].caption = "Bell";
        items[i].item_type = "event";
        items[i].color = QColor(220,170,40);
        items[i].alt_color = QColor(220,170,40);
        items[i].penstyle = Qt::SolidLine;
        items[i].shapecount = 1;
        items[i].shape = new item_shape[items[i].shapecount];
        items[i].shape[0].needed = 3;
        items[i].shape[0].pixelcount = 3;
        items[i].shape[0].pixel = new pixel_data[items[i].shape[0].pixelcount];
        items[i].shape[0].pixel[0].r.min = 25;
        items[i].shape[0].pixel[0].r.max = 45;
        items[i].shape[0].pixel[0].g.min = 55;
        items[i].shape[0].pixel[0].g.max = 85;
        items[i].shape[0].pixel[0].b.min = 60;
        items[i].shape[0].pixel[0].b.max = 95;
        items[i].shape[0].pixel[0].pos.x_pos = 0;
        items[i].shape[0].pixel[0].pos.y_pos = 0;
        items[i].shape[0].pixel[1].r.min = 65;
        items[i].shape[0].pixel[1].r.max = 95;
        items[i].shape[0].pixel[1].g.min = 30;
        items[i].shape[0].pixel[1].g.max = 55;
        items[i].shape[0].pixel[1].b.min = 30;
        items[i].shape[0].pixel[1].b.max = 55;
        items[i].shape[0].pixel[1].pos.x_pos = 1;
        items[i].shape[0].pixel[1].pos.y_pos = 0;
        items[i].shape[0].pixel[2].r.min = 145;
        items[i].shape[0].pixel[2].r.max = 190;
        items[i].shape[0].pixel[2].g.min = 80;
        items[i].shape[0].pixel[2].g.max = 115;
        items[i].shape[0].pixel[2].b.min = 75;
        items[i].shape[0].pixel[2].b.max = 110;
        items[i].shape[0].pixel[2].pos.x_pos = 1;
        items[i].shape[0].pixel[2].pos.y_pos = -1;
        i++;
    }

    //if(config.useitems_eastern14) {
    if(config.use_event == 3) {

        items[i].caption = "Simple Egg";
        items[i].item_type = "event";
        items[i].color = QColor(220,170,40);
        items[i].alt_color = QColor(220,170,40);
        items[i].penstyle = Qt::SolidLine;
        items[i].shapecount = 1;
        items[i].shape = new item_shape[items[i].shapecount];
        items[i].shape[0].needed = 3;
        items[i].shape[0].pixelcount = 3;
        items[i].shape[0].pixel = new pixel_data[items[i].shape[0].pixelcount];
        items[i].shape[0].pixel[0].r.min = 190;
        items[i].shape[0].pixel[0].r.max = 220;
        items[i].shape[0].pixel[0].g.min = 190;
        items[i].shape[0].pixel[0].g.max = 220;
        items[i].shape[0].pixel[0].b.min = 170;
        items[i].shape[0].pixel[0].b.max = 200;
        items[i].shape[0].pixel[0].pos.x_pos = 0;
        items[i].shape[0].pixel[0].pos.y_pos = 0;
        items[i].shape[0].pixel[1].r.min = 85;
        items[i].shape[0].pixel[1].r.max = 110;
        items[i].shape[0].pixel[1].g.min = 90;
        items[i].shape[0].pixel[1].g.max = 115;
        items[i].shape[0].pixel[1].b.min = 60;
        items[i].shape[0].pixel[1].b.max = 85;
        items[i].shape[0].pixel[1].pos.x_pos = 1;
        items[i].shape[0].pixel[1].pos.y_pos = 0;
        items[i].shape[0].pixel[2].r.min = 185;
        items[i].shape[0].pixel[2].r.max = 220;
        items[i].shape[0].pixel[2].g.min = 185;
        items[i].shape[0].pixel[2].g.max = 220;
        items[i].shape[0].pixel[2].b.min = 170;
        items[i].shape[0].pixel[2].b.max = 205;
        items[i].shape[0].pixel[2].pos.x_pos = 2;
        items[i].shape[0].pixel[2].pos.y_pos = 0;
        i++;

        items[i].caption = "Eggpaint";
        items[i].item_type = "event";
        items[i].color = QColor(220,170,40);
        items[i].alt_color = QColor(220,170,40);
        items[i].penstyle = Qt::SolidLine;
        items[i].shapecount = 1;
        items[i].shape = new item_shape[items[i].shapecount];
        items[i].shape[0].needed = 2;
        items[i].shape[0].pixelcount = 3;
        items[i].shape[0].pixel = new pixel_data[items[i].shape[0].pixelcount];
        items[i].shape[0].pixel[0].r.min = 215;
        items[i].shape[0].pixel[0].r.max = 235;
        items[i].shape[0].pixel[0].g.min = 180;
        items[i].shape[0].pixel[0].g.max = 200;
        items[i].shape[0].pixel[0].b.min = 80;
        items[i].shape[0].pixel[0].b.max = 100;
        items[i].shape[0].pixel[0].pos.x_pos = 0;
        items[i].shape[0].pixel[0].pos.y_pos = 0;
        items[i].shape[0].pixel[1].r.min = 160;
        items[i].shape[0].pixel[1].r.max = 195;
        items[i].shape[0].pixel[1].g.min = 90;
        items[i].shape[0].pixel[1].g.max = 112;
        items[i].shape[0].pixel[1].b.min = 200;
        items[i].shape[0].pixel[1].b.max = 250;
        items[i].shape[0].pixel[1].pos.x_pos = 1;
        items[i].shape[0].pixel[1].pos.y_pos = -1;
        items[i].shape[0].pixel[2].r.min = 130;
        items[i].shape[0].pixel[2].r.max = 155;
        items[i].shape[0].pixel[2].g.min = 65;
        items[i].shape[0].pixel[2].g.max = 85;
        items[i].shape[0].pixel[2].b.min = 150;
        items[i].shape[0].pixel[2].b.max = 170;
        items[i].shape[0].pixel[2].pos.x_pos = 2;
        items[i].shape[0].pixel[2].pos.y_pos = -1;
        i++;

        items[i].caption = "Wicker Basket";
        items[i].item_type = "event";
        items[i].color = QColor(220,170,40);
        items[i].alt_color = QColor(220,170,40);
        items[i].penstyle = Qt::SolidLine;
        items[i].shapecount = 1;
        items[i].shape = new item_shape[items[i].shapecount];
        items[i].shape[0].needed = 4;
        items[i].shape[0].pixelcount = 4;
        items[i].shape[0].pixel = new pixel_data[items[i].shape[0].pixelcount];
        items[i].shape[0].pixel[0].r.min = 149;
        items[i].shape[0].pixel[0].r.max = 170;
        items[i].shape[0].pixel[0].g.min = 124;
        items[i].shape[0].pixel[0].g.max = 142;
        items[i].shape[0].pixel[0].b.min = 67;
        items[i].shape[0].pixel[0].b.max = 85;
        items[i].shape[0].pixel[0].pos.x_pos = 0;
        items[i].shape[0].pixel[0].pos.y_pos = 0;
        items[i].shape[0].pixel[1].r.min = 100;
        items[i].shape[0].pixel[1].r.max = 120;
        items[i].shape[0].pixel[1].g.min = 75;
        items[i].shape[0].pixel[1].g.max = 90;
        items[i].shape[0].pixel[1].b.min = 45;
        items[i].shape[0].pixel[1].b.max = 60;
        items[i].shape[0].pixel[1].pos.x_pos = 1;
        items[i].shape[0].pixel[1].pos.y_pos = 0;
        items[i].shape[0].pixel[2].r.min = 80;
        items[i].shape[0].pixel[2].r.max = 102;
        items[i].shape[0].pixel[2].g.min = 75;
        items[i].shape[0].pixel[2].g.max = 92;
        items[i].shape[0].pixel[2].b.min = 50;
        items[i].shape[0].pixel[2].b.max = 75;
        items[i].shape[0].pixel[2].pos.x_pos = 1;
        items[i].shape[0].pixel[2].pos.y_pos = 1;
        items[i].shape[0].pixel[3].r.min = 60;
        items[i].shape[0].pixel[3].r.max = 82;
        items[i].shape[0].pixel[3].g.min = 25;
        items[i].shape[0].pixel[3].g.max = 42;
        items[i].shape[0].pixel[3].b.min = 15;
        items[i].shape[0].pixel[3].b.max = 27;
        items[i].shape[0].pixel[3].pos.x_pos = -1;
        items[i].shape[0].pixel[3].pos.y_pos = 0;
        i++;

        items[i].caption = "Hidden Egg";
        items[i].item_type = "event";
        items[i].color = QColor(220,170,40);
        items[i].alt_color = QColor(220,170,40);
        items[i].penstyle = Qt::SolidLine;
        items[i].shapecount = 9;
        items[i].shape = new item_shape[items[i].shapecount];
        // SHAPE 3x2 Pixels, blue, orange, brown -> blue, red, yellow
        items[i].shape[0].needed = 2;
        items[i].shape[0].pixelcount = 2;
        items[i].shape[0].pixel = new pixel_data[items[i].shape[0].pixelcount];
        items[i].shape[0].pixel[0].r.min = 190;
        items[i].shape[0].pixel[0].r.max = 210;
        items[i].shape[0].pixel[0].g.min = 68;
        items[i].shape[0].pixel[0].g.max = 85;
        items[i].shape[0].pixel[0].b.min = 10;
        items[i].shape[0].pixel[0].b.max = 25;
        items[i].shape[0].pixel[0].pos.x_pos = 0;
        items[i].shape[0].pixel[0].pos.y_pos = 0;
        items[i].shape[0].pixel[1].r.min = 165;
        items[i].shape[0].pixel[1].r.max = 185;
        items[i].shape[0].pixel[1].g.min = 55;
        items[i].shape[0].pixel[1].g.max = 70;
        items[i].shape[0].pixel[1].b.min = 45;
        items[i].shape[0].pixel[1].b.max = 60;
        items[i].shape[0].pixel[1].pos.x_pos = 0;
        items[i].shape[0].pixel[1].pos.y_pos = 1;

        // 2xSHAPE for 1,3,3,1 px hidden egg -> orange, yellow and violett, red
        items[i].shape[1].needed = 2;
        items[i].shape[1].pixelcount = 2;
        items[i].shape[1].pixel = new pixel_data[items[i].shape[1].pixelcount];
        items[i].shape[1].pixel[0].r.min = 220;
        items[i].shape[1].pixel[0].r.max = 236;
        items[i].shape[1].pixel[0].g.min = 92;
        items[i].shape[1].pixel[0].g.max = 104;
        items[i].shape[1].pixel[0].b.min = 20;
        items[i].shape[1].pixel[0].b.max = 30;
        items[i].shape[1].pixel[0].pos.x_pos = 0;
        items[i].shape[1].pixel[0].pos.y_pos = 0;
        items[i].shape[1].pixel[1].r.min = 220;
        items[i].shape[1].pixel[1].r.max = 245;
        items[i].shape[1].pixel[1].g.min = 180;
        items[i].shape[1].pixel[1].g.max = 204;
        items[i].shape[1].pixel[1].b.min = 28;
        items[i].shape[1].pixel[1].b.max = 38;
        items[i].shape[1].pixel[1].pos.x_pos = 1;
        items[i].shape[1].pixel[1].pos.y_pos = 1;

        items[i].shape[2].needed = 2;
        items[i].shape[2].pixelcount = 2;
        items[i].shape[2].pixel = new pixel_data[items[i].shape[2].pixelcount];
        items[i].shape[2].pixel[0].r.min = 90;
        items[i].shape[2].pixel[0].r.max = 100;
        items[i].shape[2].pixel[0].g.min = 48;
        items[i].shape[2].pixel[0].g.max = 58;
        items[i].shape[2].pixel[0].b.min = 103;
        items[i].shape[2].pixel[0].b.max = 113;
        items[i].shape[2].pixel[0].pos.x_pos = -1;
        items[i].shape[2].pixel[0].pos.y_pos = 2;
        items[i].shape[2].pixel[1].r.min = 165;
        items[i].shape[2].pixel[1].r.max = 175;
        items[i].shape[2].pixel[1].g.min = 34;
        items[i].shape[2].pixel[1].g.max = 44;
        items[i].shape[2].pixel[1].b.min = 10;
        items[i].shape[2].pixel[1].b.max = 20;
        items[i].shape[2].pixel[1].pos.x_pos = 0;
        items[i].shape[2].pixel[1].pos.y_pos = 3;

        // SHAPE for blue + sand egg
        items[i].shape[3].needed = 2;
        items[i].shape[3].pixelcount = 2;
        items[i].shape[3].pixel = new pixel_data[items[i].shape[3].pixelcount];
        items[i].shape[3].pixel[0].r.min = 112;
        items[i].shape[3].pixel[0].r.max = 122;
        items[i].shape[3].pixel[0].g.min = 116;
        items[i].shape[3].pixel[0].g.max = 126;
        items[i].shape[3].pixel[0].b.min = 243;
        items[i].shape[3].pixel[0].b.max = 255;
        items[i].shape[3].pixel[0].pos.x_pos = 0;
        items[i].shape[3].pixel[0].pos.y_pos = 0;
        items[i].shape[3].pixel[1].r.min = 226;
        items[i].shape[3].pixel[1].r.max = 236;
        items[i].shape[3].pixel[1].g.min = 165;
        items[i].shape[3].pixel[1].g.max = 175;
        items[i].shape[3].pixel[1].b.min = 47;
        items[i].shape[3].pixel[1].b.max = 57;
        items[i].shape[3].pixel[1].pos.x_pos = 1;
        items[i].shape[3].pixel[1].pos.y_pos = 0;

        // SHAPE for orange + sand egg
        items[i].shape[4].needed = 2;
        items[i].shape[4].pixelcount = 2;
        items[i].shape[4].pixel = new pixel_data[items[i].shape[4].pixelcount];
        items[i].shape[4].pixel[0].r.min = 184;
        items[i].shape[4].pixel[0].r.max = 204;
        items[i].shape[4].pixel[0].g.min = 66;
        items[i].shape[4].pixel[0].g.max = 79;
        items[i].shape[4].pixel[0].b.min = 10;
        items[i].shape[4].pixel[0].b.max = 20;
        items[i].shape[4].pixel[0].pos.x_pos = 0;
        items[i].shape[4].pixel[0].pos.y_pos = 0;
        items[i].shape[4].pixel[1].r.min = 220;
        items[i].shape[4].pixel[1].r.max = 244;
        items[i].shape[4].pixel[1].g.min = 145;
        items[i].shape[4].pixel[1].g.max = 162;
        items[i].shape[4].pixel[1].b.min = 100;
        items[i].shape[4].pixel[1].b.max = 114;
        items[i].shape[4].pixel[1].pos.x_pos = 1;
        items[i].shape[4].pixel[1].pos.y_pos = 0;

        // SHAPE for 3,5,2 egg
        items[i].shape[5].needed = 2;
        items[i].shape[5].pixelcount = 2;
        items[i].shape[5].pixel = new pixel_data[items[i].shape[5].pixelcount];
        items[i].shape[5].pixel[0].r.min = 125;
        items[i].shape[5].pixel[0].r.max = 135;
        items[i].shape[5].pixel[0].g.min = 237;
        items[i].shape[5].pixel[0].g.max = 247;
        items[i].shape[5].pixel[0].b.min = 28;
        items[i].shape[5].pixel[0].b.max = 38;
        items[i].shape[5].pixel[0].pos.x_pos = 0;
        items[i].shape[5].pixel[0].pos.y_pos = 0;
        items[i].shape[5].pixel[1].r.min = 28;
        items[i].shape[5].pixel[1].r.max = 38;
        items[i].shape[5].pixel[1].g.min = 140;
        items[i].shape[5].pixel[1].g.max = 150;
        items[i].shape[5].pixel[1].b.min = 160;
        items[i].shape[5].pixel[1].b.max = 170;
        items[i].shape[5].pixel[1].pos.x_pos = 0;
        items[i].shape[5].pixel[1].pos.y_pos = 1;

        // SHAPE for 1,3,5,1 egg
        items[i].shape[6].needed = 2;
        items[i].shape[6].pixelcount = 2;
        items[i].shape[6].pixel = new pixel_data[items[i].shape[6].pixelcount];
        items[i].shape[6].pixel[0].r.min = 141;
        items[i].shape[6].pixel[0].r.max = 151;
        items[i].shape[6].pixel[0].g.min = 146;
        items[i].shape[6].pixel[0].g.max = 156;
        items[i].shape[6].pixel[0].b.min = 221;
        items[i].shape[6].pixel[0].b.max = 231;
        items[i].shape[6].pixel[0].pos.x_pos = 0;
        items[i].shape[6].pixel[0].pos.y_pos = 0;
        items[i].shape[6].pixel[1].r.min = 119;
        items[i].shape[6].pixel[1].r.max = 129;
        items[i].shape[6].pixel[1].g.min = 72;
        items[i].shape[6].pixel[1].g.max = 82;
        items[i].shape[6].pixel[1].b.min = 108;
        items[i].shape[6].pixel[1].b.max = 118;
        items[i].shape[6].pixel[1].pos.x_pos = 0;
        items[i].shape[6].pixel[1].pos.y_pos = 1;

        // SHAPE for 1,2 egg -> red, red
        items[i].shape[7].needed = 2;
        items[i].shape[7].pixelcount = 3;
        items[i].shape[7].pixel = new pixel_data[items[i].shape[7].pixelcount];
        items[i].shape[7].pixel[0].r.min = 200;
        items[i].shape[7].pixel[0].r.max = 240;
        items[i].shape[7].pixel[0].g.min = 70;
        items[i].shape[7].pixel[0].g.max = 150;
        items[i].shape[7].pixel[0].b.min = 30;
        items[i].shape[7].pixel[0].b.max = 125;
        items[i].shape[7].pixel[0].pos.x_pos = 0;
        items[i].shape[7].pixel[0].pos.y_pos = -1;
        items[i].shape[7].pixel[0].negating = true;
        items[i].shape[7].pixel[1].r.min = 190;
        items[i].shape[7].pixel[1].r.max = 212;
        items[i].shape[7].pixel[1].g.min = 58;
        items[i].shape[7].pixel[1].g.max = 78;
        items[i].shape[7].pixel[1].b.min = 30;
        items[i].shape[7].pixel[1].b.max = 54;
        items[i].shape[7].pixel[1].pos.x_pos = 0;
        items[i].shape[7].pixel[1].pos.y_pos = 0;
        items[i].shape[7].pixel[2].r.min = 180;
        items[i].shape[7].pixel[2].r.max = 215;
        items[i].shape[7].pixel[2].g.min = 37;
        items[i].shape[7].pixel[2].g.max = 54;
        items[i].shape[7].pixel[2].b.min = 30;
        items[i].shape[7].pixel[2].b.max = 41;
        items[i].shape[7].pixel[2].pos.x_pos = 0;
        items[i].shape[7].pixel[2].pos.y_pos = 1;

        // SHAPE for 3,4,3 egg -> violett, red
        items[i].shape[8].needed = 2;
        items[i].shape[8].pixelcount = 2;
        items[i].shape[8].pixel = new pixel_data[items[i].shape[8].pixelcount];
        items[i].shape[8].pixel[0].r.min = 83;
        items[i].shape[8].pixel[0].r.max = 95;
        items[i].shape[8].pixel[0].g.min = 77;
        items[i].shape[8].pixel[0].g.max = 87;
        items[i].shape[8].pixel[0].b.min = 179;
        items[i].shape[8].pixel[0].b.max = 193;
        items[i].shape[8].pixel[0].pos.x_pos = 0;
        items[i].shape[8].pixel[0].pos.y_pos = 0;
        items[i].shape[8].pixel[1].r.min = 205;
        items[i].shape[8].pixel[1].r.max = 225;
        items[i].shape[8].pixel[1].g.min = 39;
        items[i].shape[8].pixel[1].g.max = 49;
        items[i].shape[8].pixel[1].b.min = 16;
        items[i].shape[8].pixel[1].b.max = 26;
        items[i].shape[8].pixel[1].pos.x_pos = 0;
        items[i].shape[8].pixel[1].pos.y_pos = 1;
        i++;
    }

    if(config.use_event == 4) {
        items[i].caption = "Football";
        items[i].item_type = "event";
        items[i].color = QColor(220,170,40);
        items[i].alt_color = QColor(220,170,40);
        items[i].penstyle = Qt::SolidLine;
        items[i].shapecount = 1;
        items[i].shape = new item_shape[items[i].shapecount];
        items[i].shape[0].needed = 5;
        items[i].shape[0].pixelcount = 5;
        items[i].shape[0].pixel = new pixel_data[items[i].shape[0].pixelcount];
        items[i].shape[0].pixel[0].r.min = 165;
        items[i].shape[0].pixel[0].r.max = 188;
        items[i].shape[0].pixel[0].g.min = 173;
        items[i].shape[0].pixel[0].g.max = 200;
        items[i].shape[0].pixel[0].b.min = 162;
        items[i].shape[0].pixel[0].b.max = 185;
        items[i].shape[0].pixel[0].pos.x_pos = 0;
        items[i].shape[0].pixel[0].pos.y_pos = 0;
        items[i].shape[0].pixel[1].r.min = 168;
        items[i].shape[0].pixel[1].r.max = 190;
        items[i].shape[0].pixel[1].g.min = 170;
        items[i].shape[0].pixel[1].g.max = 192;
        items[i].shape[0].pixel[1].b.min = 160;
        items[i].shape[0].pixel[1].b.max = 180;
        items[i].shape[0].pixel[1].pos.x_pos = 1;
        items[i].shape[0].pixel[1].pos.y_pos = 0;
        items[i].shape[0].pixel[2].r.min = 137;
        items[i].shape[0].pixel[2].r.max = 160;
        items[i].shape[0].pixel[2].g.min = 140;
        items[i].shape[0].pixel[2].g.max = 163;
        items[i].shape[0].pixel[2].b.min = 129;
        items[i].shape[0].pixel[2].b.max = 152;
        items[i].shape[0].pixel[2].pos.x_pos = 2;
        items[i].shape[0].pixel[2].pos.y_pos = 0;
        items[i].shape[0].pixel[3].r.min = 85;
        items[i].shape[0].pixel[3].r.max = 105;
        items[i].shape[0].pixel[3].g.min = 80;
        items[i].shape[0].pixel[3].g.max = 100;
        items[i].shape[0].pixel[3].b.min = 64;
        items[i].shape[0].pixel[3].b.max = 80;
        items[i].shape[0].pixel[3].pos.x_pos = 1;
        items[i].shape[0].pixel[3].pos.y_pos = 1;
        items[i].shape[0].pixel[4].r.min = 163;
        items[i].shape[0].pixel[4].r.max = 195;
        items[i].shape[0].pixel[4].g.min = 170;
        items[i].shape[0].pixel[4].g.max = 203;
        items[i].shape[0].pixel[4].b.min = 160;
        items[i].shape[0].pixel[4].b.max = 190;
        items[i].shape[0].pixel[4].pos.x_pos = 2;
        items[i].shape[0].pixel[4].pos.y_pos = 1;
        i++;

        items[i].caption = "Corner";
        items[i].item_type = "event";
        items[i].color = QColor(220,170,40);
        items[i].alt_color = QColor(220,170,40);
        items[i].penstyle = Qt::SolidLine;
        items[i].shapecount = 1;
        items[i].shape = new item_shape[items[i].shapecount];
        items[i].shape[0].needed = 3;
        items[i].shape[0].pixelcount = 3;
        items[i].shape[0].pixel = new pixel_data[items[i].shape[0].pixelcount];
        items[i].shape[0].pixel[0].r.min = 152;
        items[i].shape[0].pixel[0].r.max = 182;
        items[i].shape[0].pixel[0].g.min = 52;
        items[i].shape[0].pixel[0].g.max = 82;
        items[i].shape[0].pixel[0].b.min = 38;
        items[i].shape[0].pixel[0].b.max = 53;
        items[i].shape[0].pixel[0].pos.x_pos = 0;
        items[i].shape[0].pixel[0].pos.y_pos = 0;
        items[i].shape[0].pixel[1].r.min = 155;
        items[i].shape[0].pixel[1].r.max = 195;
        items[i].shape[0].pixel[1].g.min = 138;
        items[i].shape[0].pixel[1].g.max = 170;
        items[i].shape[0].pixel[1].b.min = 85;
        items[i].shape[0].pixel[1].b.max = 115;
        items[i].shape[0].pixel[1].pos.x_pos = 1;
        items[i].shape[0].pixel[1].pos.y_pos = 0;
        items[i].shape[0].pixel[2].r.min = 110;
        items[i].shape[0].pixel[2].r.max = 134;
        items[i].shape[0].pixel[2].g.min = 49;
        items[i].shape[0].pixel[2].g.max = 72;
        items[i].shape[0].pixel[2].b.min = 26;
        items[i].shape[0].pixel[2].b.max = 38;
        items[i].shape[0].pixel[2].pos.x_pos = 0;
        items[i].shape[0].pixel[2].pos.y_pos = 1;
        i++;

        /*items[i].caption = "Corner";
        items[i].item_type = "event";
        items[i].color = QColor(220,170,40);
        items[i].alt_color = QColor(220,170,40);
        items[i].penstyle = Qt::SolidLine;
        items[i].shapecount = 1;
        items[i].shape = new item_shape[items[i].shapecount];
        items[i].shape[0].needed = 3;
        items[i].shape[0].pixelcount = 3;
        items[i].shape[0].pixel = new pixel_data[items[i].shape[0].pixelcount];
        items[i].shape[0].pixel[0].r.min = 160;
        items[i].shape[0].pixel[0].r.max = 182;
        items[i].shape[0].pixel[0].g.min = 52;
        items[i].shape[0].pixel[0].g.max = 72;
        items[i].shape[0].pixel[0].b.min = 38;
        items[i].shape[0].pixel[0].b.max = 53;
        items[i].shape[0].pixel[0].pos.x_pos = 0;
        items[i].shape[0].pixel[0].pos.y_pos = 0;
        items[i].shape[0].pixel[1].r.min = 155;
        items[i].shape[0].pixel[1].r.max = 180;
        items[i].shape[0].pixel[1].g.min = 138;
        items[i].shape[0].pixel[1].g.max = 170;
        items[i].shape[0].pixel[1].b.min = 85;
        items[i].shape[0].pixel[1].b.max = 110;
        items[i].shape[0].pixel[1].pos.x_pos = 1;
        items[i].shape[0].pixel[1].pos.y_pos = 0;
        items[i].shape[0].pixel[2].r.min = 124;
        items[i].shape[0].pixel[2].r.max = 134;
        items[i].shape[0].pixel[2].g.min = 49;
        items[i].shape[0].pixel[2].g.max = 59;
        items[i].shape[0].pixel[2].b.min = 28;
        items[i].shape[0].pixel[2].b.max = 38;
        items[i].shape[0].pixel[2].pos.x_pos = 0;
        items[i].shape[0].pixel[2].pos.y_pos = 1;
        i++;*/

        items[i].caption = "Fist";
        items[i].item_type = "event";
        items[i].color = QColor(220,170,40);
        items[i].alt_color = QColor(220,170,40);
        items[i].penstyle = Qt::SolidLine;
        items[i].shapecount = 2;
        items[i].shape = new item_shape[items[i].shapecount];

        //FIST SHAPE LEFT
        items[i].shape[0].needed = 3;
        items[i].shape[0].pixelcount = 3;
        items[i].shape[0].pixel = new pixel_data[items[i].shape[0].pixelcount];
        items[i].shape[0].pixel[0].r.min = 127;
        items[i].shape[0].pixel[0].r.max = 138;
        items[i].shape[0].pixel[0].g.min = 37;
        items[i].shape[0].pixel[0].g.max = 47;
        items[i].shape[0].pixel[0].b.min = 21;
        items[i].shape[0].pixel[0].b.max = 31;
        items[i].shape[0].pixel[0].pos.x_pos = 0;
        items[i].shape[0].pixel[0].pos.y_pos = 0;
        items[i].shape[0].pixel[1].r.min = 210;
        items[i].shape[0].pixel[1].r.max = 230;
        items[i].shape[0].pixel[1].g.min = 82;
        items[i].shape[0].pixel[1].g.max = 94;
        items[i].shape[0].pixel[1].b.min = 53;
        items[i].shape[0].pixel[1].b.max = 63;
        items[i].shape[0].pixel[1].pos.x_pos = 1;
        items[i].shape[0].pixel[1].pos.y_pos = 0;
        items[i].shape[0].pixel[2].r.min = 83;
        items[i].shape[0].pixel[2].r.max = 93;
        items[i].shape[0].pixel[2].g.min = 18;
        items[i].shape[0].pixel[2].g.max = 28;
        items[i].shape[0].pixel[2].b.min = 5;
        items[i].shape[0].pixel[2].b.max = 15;
        items[i].shape[0].pixel[2].pos.x_pos = 1;
        items[i].shape[0].pixel[2].pos.y_pos = 1;

        //FIST SHAPE RIGHT
        items[i].shape[1].needed = 3;
        items[i].shape[1].pixelcount = 3;
        items[i].shape[1].pixel = new pixel_data[items[i].shape[1].pixelcount];
        items[i].shape[1].pixel[0].r.min = 120;
        items[i].shape[1].pixel[0].r.max = 132;
        items[i].shape[1].pixel[0].g.min = 35;
        items[i].shape[1].pixel[0].g.max = 45;
        items[i].shape[1].pixel[0].b.min = 18;
        items[i].shape[1].pixel[0].b.max = 28;
        items[i].shape[1].pixel[0].pos.x_pos = 2;
        items[i].shape[1].pixel[0].pos.y_pos = 0;
        items[i].shape[1].pixel[1].r.min = 150;
        items[i].shape[1].pixel[1].r.max = 165;
        items[i].shape[1].pixel[1].g.min = 44;
        items[i].shape[1].pixel[1].g.max = 54;
        items[i].shape[1].pixel[1].b.min = 26;
        items[i].shape[1].pixel[1].b.max = 36;
        items[i].shape[1].pixel[1].pos.x_pos = 3;
        items[i].shape[1].pixel[1].pos.y_pos = 0;
        items[i].shape[1].pixel[2].r.min = 143;
        items[i].shape[1].pixel[2].r.max = 158;
        items[i].shape[1].pixel[2].g.min = 106;
        items[i].shape[1].pixel[2].g.max = 122;
        items[i].shape[1].pixel[2].b.min = 98;
        items[i].shape[1].pixel[2].b.max = 112;
        items[i].shape[1].pixel[2].pos.x_pos = 3;
        items[i].shape[1].pixel[2].pos.y_pos = 1;
        i++;

        items[i].caption = "Banana";
        items[i].item_type = "event";
        items[i].color = QColor(220,170,40);
        items[i].alt_color = QColor(220,170,40);
        items[i].penstyle = Qt::SolidLine;
        items[i].shapecount = 2;
        items[i].shape = new item_shape[items[i].shapecount];

        //BANANA SHAPE DARK
        items[i].shape[0].needed = 4;
        items[i].shape[0].pixelcount = 4;
        items[i].shape[0].pixel = new pixel_data[items[i].shape[0].pixelcount];
        items[i].shape[0].pixel[0].r.min = 218;
        items[i].shape[0].pixel[0].r.max = 240;
        items[i].shape[0].pixel[0].g.min = 190;
        items[i].shape[0].pixel[0].g.max = 212;
        items[i].shape[0].pixel[0].b.min = 90;
        items[i].shape[0].pixel[0].b.max = 105;
        items[i].shape[0].pixel[0].pos.x_pos = 0;
        items[i].shape[0].pixel[0].pos.y_pos = 0;
        items[i].shape[0].pixel[1].r.min = 167;
        items[i].shape[0].pixel[1].r.max = 190;
        items[i].shape[0].pixel[1].g.min = 128;
        items[i].shape[0].pixel[1].g.max = 147;
        items[i].shape[0].pixel[1].b.min = 34;
        items[i].shape[0].pixel[1].b.max = 44;
        items[i].shape[0].pixel[1].pos.x_pos = 1;
        items[i].shape[0].pixel[1].pos.y_pos = 0;
        items[i].shape[0].pixel[2].r.min = 176;
        items[i].shape[0].pixel[2].r.max = 193;
        items[i].shape[0].pixel[2].g.min = 133;
        items[i].shape[0].pixel[2].g.max = 145;
        items[i].shape[0].pixel[2].b.min = 17;
        items[i].shape[0].pixel[2].b.max = 25;
        items[i].shape[0].pixel[2].pos.x_pos = 0;
        items[i].shape[0].pixel[2].pos.y_pos = 1;
        items[i].shape[0].pixel[3].r.min = 153;
        items[i].shape[0].pixel[3].r.max = 175;
        items[i].shape[0].pixel[3].g.min = 112;
        items[i].shape[0].pixel[3].g.max = 132;
        items[i].shape[0].pixel[3].b.min = 24;
        items[i].shape[0].pixel[3].b.max = 34;
        items[i].shape[0].pixel[3].pos.x_pos = 1;
        items[i].shape[0].pixel[3].pos.y_pos = 2;

        //BANANA SHAPE BRIGHT
        items[i].shape[1].needed = 4;
        items[i].shape[1].pixelcount = 4;
        items[i].shape[1].pixel = new pixel_data[items[i].shape[1].pixelcount];
        items[i].shape[1].pixel[0].r.min = 245;
        items[i].shape[1].pixel[0].r.max = 256;
        items[i].shape[1].pixel[0].g.min = 238;
        items[i].shape[1].pixel[0].g.max = 256;
        items[i].shape[1].pixel[0].b.min = 143;
        items[i].shape[1].pixel[0].b.max = 160;
        items[i].shape[1].pixel[0].pos.x_pos = 0;
        items[i].shape[1].pixel[0].pos.y_pos = 0;
        items[i].shape[1].pixel[1].r.min = 198;
        items[i].shape[1].pixel[1].r.max = 212;
        items[i].shape[1].pixel[1].g.min = 150;
        items[i].shape[1].pixel[1].g.max = 166;
        items[i].shape[1].pixel[1].b.min = 34;
        items[i].shape[1].pixel[1].b.max = 44;
        items[i].shape[1].pixel[1].pos.x_pos = 1;
        items[i].shape[1].pixel[1].pos.y_pos = 0;
        items[i].shape[1].pixel[2].r.min = 205;
        items[i].shape[1].pixel[2].r.max = 222;
        items[i].shape[1].pixel[2].g.min = 150;
        items[i].shape[1].pixel[2].g.max = 165;
        items[i].shape[1].pixel[2].b.min = 18;
        items[i].shape[1].pixel[2].b.max = 28;
        items[i].shape[1].pixel[2].pos.x_pos = 0;
        items[i].shape[1].pixel[2].pos.y_pos = 1;
        items[i].shape[1].pixel[3].r.min = 205;
        items[i].shape[1].pixel[3].r.max = 222;
        items[i].shape[1].pixel[3].g.min = 158;
        items[i].shape[1].pixel[3].g.max = 175;
        items[i].shape[1].pixel[3].b.min = 40;
        items[i].shape[1].pixel[3].b.max = 52;
        items[i].shape[1].pixel[3].pos.x_pos = 1;
        items[i].shape[1].pixel[3].pos.y_pos = 2;
        i++;

        items[i].caption = "Red Color";
        items[i].item_type = "event";
        items[i].color = QColor(220,170,40);
        items[i].alt_color = QColor(220,170,40);
        items[i].penstyle = Qt::SolidLine;
        items[i].shapecount = 3;
        items[i].shape = new item_shape[items[i].shapecount];

        //COLOR SHAPE TOP
        items[i].shape[0].needed = 4;
        items[i].shape[0].pixelcount = 4;
        items[i].shape[0].pixel = new pixel_data[items[i].shape[0].pixelcount];
        items[i].shape[0].pixel[0].r.min = 179;
        items[i].shape[0].pixel[0].r.max = 195;
        items[i].shape[0].pixel[0].g.min = 168;
        items[i].shape[0].pixel[0].g.max = 184;
        items[i].shape[0].pixel[0].b.min = 150;
        items[i].shape[0].pixel[0].b.max = 167;
        items[i].shape[0].pixel[0].pos.x_pos = 0;
        items[i].shape[0].pixel[0].pos.y_pos = 0;
        items[i].shape[0].pixel[1].r.min = 132;
        items[i].shape[0].pixel[1].r.max = 150;
        items[i].shape[0].pixel[1].g.min = 64;
        items[i].shape[0].pixel[1].g.max = 76;
        items[i].shape[0].pixel[1].b.min = 55;
        items[i].shape[0].pixel[1].b.max = 66;
        items[i].shape[0].pixel[1].pos.x_pos = -1;
        items[i].shape[0].pixel[1].pos.y_pos = -1;
        items[i].shape[0].pixel[2].r.min = 132;
        items[i].shape[0].pixel[2].r.max = 146;
        items[i].shape[0].pixel[2].g.min = 20;
        items[i].shape[0].pixel[2].g.max = 30;
        items[i].shape[0].pixel[2].b.min = 18;
        items[i].shape[0].pixel[2].b.max = 26;
        items[i].shape[0].pixel[2].pos.x_pos = -1;
        items[i].shape[0].pixel[2].pos.y_pos = -2;
        items[i].shape[0].pixel[3].r.min = 77;
        items[i].shape[0].pixel[3].r.max = 92;
        items[i].shape[0].pixel[3].g.min = 12;
        items[i].shape[0].pixel[3].g.max = 20;
        items[i].shape[0].pixel[3].b.min = 9;
        items[i].shape[0].pixel[3].b.max = 17;
        items[i].shape[0].pixel[3].pos.x_pos = 0;
        items[i].shape[0].pixel[3].pos.y_pos = -2;

        //COLOR SHAPE RIGHT
        items[i].shape[1].needed = 4;
        items[i].shape[1].pixelcount = 4;
        items[i].shape[1].pixel = new pixel_data[items[i].shape[1].pixelcount];
        items[i].shape[1].pixel[0].r.min = 179;
        items[i].shape[1].pixel[0].r.max = 195;
        items[i].shape[1].pixel[0].g.min = 168;
        items[i].shape[1].pixel[0].g.max = 184;
        items[i].shape[1].pixel[0].b.min = 150;
        items[i].shape[1].pixel[0].b.max = 167;
        items[i].shape[1].pixel[0].pos.x_pos = 0;
        items[i].shape[1].pixel[0].pos.y_pos = 0;
        items[i].shape[1].pixel[1].r.min = 148;
        items[i].shape[1].pixel[1].r.max = 165;
        items[i].shape[1].pixel[1].g.min = 102;
        items[i].shape[1].pixel[1].g.max = 115;
        items[i].shape[1].pixel[1].b.min = 52;
        items[i].shape[1].pixel[1].b.max = 62;
        items[i].shape[1].pixel[1].pos.x_pos = 1;
        items[i].shape[1].pixel[1].pos.y_pos = 0;
        items[i].shape[1].pixel[2].r.min = 195;
        items[i].shape[1].pixel[2].r.max = 220;
        items[i].shape[1].pixel[2].g.min = 167;
        items[i].shape[1].pixel[2].g.max = 190;
        items[i].shape[1].pixel[2].b.min = 100;
        items[i].shape[1].pixel[2].b.max = 115;
        items[i].shape[1].pixel[2].pos.x_pos = 2;
        items[i].shape[1].pixel[2].pos.y_pos = 0;
        items[i].shape[1].pixel[3].r.min = 152;
        items[i].shape[1].pixel[3].r.max = 175;
        items[i].shape[1].pixel[3].g.min = 117;
        items[i].shape[1].pixel[3].g.max = 135;
        items[i].shape[1].pixel[3].b.min = 58;
        items[i].shape[1].pixel[3].b.max = 70;
        items[i].shape[1].pixel[3].pos.x_pos = 3;
        items[i].shape[1].pixel[3].pos.y_pos = 0;

        //COLOR SHAPE BOTTOM
        items[i].shape[2].needed = 3;
        items[i].shape[2].pixelcount = 3;
        items[i].shape[2].pixel = new pixel_data[items[i].shape[2].pixelcount];
        items[i].shape[2].pixel[0].r.min = 179;
        items[i].shape[2].pixel[0].r.max = 195;
        items[i].shape[2].pixel[0].g.min = 168;
        items[i].shape[2].pixel[0].g.max = 184;
        items[i].shape[2].pixel[0].b.min = 150;
        items[i].shape[2].pixel[0].b.max = 167;
        items[i].shape[2].pixel[0].pos.x_pos = 0;
        items[i].shape[2].pixel[0].pos.y_pos = 0;
        items[i].shape[2].pixel[1].r.min = 167;
        items[i].shape[2].pixel[1].r.max = 182;
        items[i].shape[2].pixel[1].g.min = 43;
        items[i].shape[2].pixel[1].g.max = 53;
        items[i].shape[2].pixel[1].b.min = 35;
        items[i].shape[2].pixel[1].b.max = 45;
        items[i].shape[2].pixel[1].pos.x_pos = 0;
        items[i].shape[2].pixel[1].pos.y_pos = 2;
        items[i].shape[2].pixel[2].r.min = 225;
        items[i].shape[2].pixel[2].r.max = 237;
        items[i].shape[2].pixel[2].g.min = 88;
        items[i].shape[2].pixel[2].g.max = 103;
        items[i].shape[2].pixel[2].b.min = 73;
        items[i].shape[2].pixel[2].b.max = 90;
        items[i].shape[2].pixel[2].pos.x_pos = 1;
        items[i].shape[2].pixel[2].pos.y_pos = 2;
        i++;

        items[i].caption = "Telescope";
        items[i].item_type = "event";
        items[i].color = QColor(220,170,40);
        items[i].alt_color = QColor(220,170,40);
        items[i].penstyle = Qt::SolidLine;
        items[i].shapecount = 2;
        items[i].shape = new item_shape[items[i].shapecount];

        //SCOPE SHAPE DARK
        items[i].shape[0].needed = 4;
        items[i].shape[0].pixelcount = 4;
        items[i].shape[0].pixel = new pixel_data[items[i].shape[0].pixelcount];
        items[i].shape[0].pixel[0].r.min = 110;
        items[i].shape[0].pixel[0].r.max = 125;
        items[i].shape[0].pixel[0].g.min = 75;
        items[i].shape[0].pixel[0].g.max = 87;
        items[i].shape[0].pixel[0].b.min = 15;
        items[i].shape[0].pixel[0].b.max = 25;
        items[i].shape[0].pixel[0].pos.x_pos = 0;
        items[i].shape[0].pixel[0].pos.y_pos = 0;
        items[i].shape[0].pixel[1].r.min = 215;
        items[i].shape[0].pixel[1].r.max = 230;
        items[i].shape[0].pixel[1].g.min = 183;
        items[i].shape[0].pixel[1].g.max = 200;
        items[i].shape[0].pixel[1].b.min = 67;
        items[i].shape[0].pixel[1].b.max = 80;
        items[i].shape[0].pixel[1].pos.x_pos = -1;
        items[i].shape[0].pixel[1].pos.y_pos = -1;
        items[i].shape[0].pixel[2].r.min = 190;
        items[i].shape[0].pixel[2].r.max = 210;
        items[i].shape[0].pixel[2].g.min = 158;
        items[i].shape[0].pixel[2].g.max = 172;
        items[i].shape[0].pixel[2].b.min = 38;
        items[i].shape[0].pixel[2].b.max = 50;
        items[i].shape[0].pixel[2].pos.x_pos = 0;
        items[i].shape[0].pixel[2].pos.y_pos = -1;
        items[i].shape[0].pixel[3].r.min = 207;
        items[i].shape[0].pixel[3].r.max = 220;
        items[i].shape[0].pixel[3].g.min = 182;
        items[i].shape[0].pixel[3].g.max = 194;
        items[i].shape[0].pixel[3].b.min = 59;
        items[i].shape[0].pixel[3].b.max = 72;
        items[i].shape[0].pixel[3].pos.x_pos = 1;
        items[i].shape[0].pixel[3].pos.y_pos = -1;

        //SCOPE SHAPE BRIGHT
        items[i].shape[1].needed = 4;
        items[i].shape[1].pixelcount = 4;
        items[i].shape[1].pixel = new pixel_data[items[i].shape[1].pixelcount];
        items[i].shape[1].pixel[0].r.min = 88;
        items[i].shape[1].pixel[0].r.max = 100;
        items[i].shape[1].pixel[0].g.min = 48;
        items[i].shape[1].pixel[0].g.max = 60;
        items[i].shape[1].pixel[0].b.min = 10;
        items[i].shape[1].pixel[0].b.max = 20;
        items[i].shape[1].pixel[0].pos.x_pos = 0;
        items[i].shape[1].pixel[0].pos.y_pos = 0;
        items[i].shape[1].pixel[1].r.min = 238;
        items[i].shape[1].pixel[1].r.max = 256;
        items[i].shape[1].pixel[1].g.min = 215;
        items[i].shape[1].pixel[1].g.max = 230;
        items[i].shape[1].pixel[1].b.min = 88;
        items[i].shape[1].pixel[1].b.max = 101;
        items[i].shape[1].pixel[1].pos.x_pos = -1;
        items[i].shape[1].pixel[1].pos.y_pos = -1;
        items[i].shape[1].pixel[2].r.min = 190;
        items[i].shape[1].pixel[2].r.max = 210;
        items[i].shape[1].pixel[2].g.min = 158;
        items[i].shape[1].pixel[2].g.max = 172;
        items[i].shape[1].pixel[2].b.min = 45;
        items[i].shape[1].pixel[2].b.max = 62;
        items[i].shape[1].pixel[2].pos.x_pos = 0;
        items[i].shape[1].pixel[2].pos.y_pos = -1;
        items[i].shape[1].pixel[3].r.min = 245;
        items[i].shape[1].pixel[3].r.max = 256;
        items[i].shape[1].pixel[3].g.min = 235;
        items[i].shape[1].pixel[3].g.max = 256;
        items[i].shape[1].pixel[3].b.min = 95;
        items[i].shape[1].pixel[3].b.max = 110;
        items[i].shape[1].pixel[3].pos.x_pos = 1;
        items[i].shape[1].pixel[3].pos.y_pos = -1;
        i++;

        items[i].caption = "Spring";
        items[i].item_type = "event";
        items[i].color = QColor(220,170,40);
        items[i].alt_color = QColor(220,170,40);
        items[i].penstyle = Qt::SolidLine;
        items[i].shapecount = 2;
        items[i].shape = new item_shape[items[i].shapecount];

        //SPRING SHAPE LEFT
        items[i].shape[0].needed = 3;
        items[i].shape[0].pixelcount = 3;
        items[i].shape[0].pixel = new pixel_data[items[i].shape[0].pixelcount];
        items[i].shape[0].pixel[0].r.min = 165;
        items[i].shape[0].pixel[0].r.max = 183;
        items[i].shape[0].pixel[0].g.min = 172;
        items[i].shape[0].pixel[0].g.max = 190;
        items[i].shape[0].pixel[0].b.min = 164;
        items[i].shape[0].pixel[0].b.max = 180;
        items[i].shape[0].pixel[0].pos.x_pos = 0;
        items[i].shape[0].pixel[0].pos.y_pos = 0;
        items[i].shape[0].pixel[1].r.min = 96;
        items[i].shape[0].pixel[1].r.max = 108;
        items[i].shape[0].pixel[1].g.min = 98;
        items[i].shape[0].pixel[1].g.max = 111;
        items[i].shape[0].pixel[1].b.min = 93;
        items[i].shape[0].pixel[1].b.max = 105;
        items[i].shape[0].pixel[1].pos.x_pos = 1;
        items[i].shape[0].pixel[1].pos.y_pos = 0;
        items[i].shape[0].pixel[2].r.min = 113;
        items[i].shape[0].pixel[2].r.max = 124;
        items[i].shape[0].pixel[2].g.min = 122;
        items[i].shape[0].pixel[2].g.max = 135;
        items[i].shape[0].pixel[2].b.min = 112;
        items[i].shape[0].pixel[2].b.max = 125;
        items[i].shape[0].pixel[2].pos.x_pos = 0;
        items[i].shape[0].pixel[2].pos.y_pos = 2;


        //SPRING SHAPE RIGHT
        items[i].shape[1].needed = 3;
        items[i].shape[1].pixelcount = 3;
        items[i].shape[1].pixel = new pixel_data[items[i].shape[1].pixelcount];
        items[i].shape[1].pixel[0].r.min = 148;
        items[i].shape[1].pixel[0].r.max = 160;
        items[i].shape[1].pixel[0].g.min = 148;
        items[i].shape[1].pixel[0].g.max = 160;
        items[i].shape[1].pixel[0].b.min = 132;
        items[i].shape[1].pixel[0].b.max = 145;
        items[i].shape[1].pixel[0].pos.x_pos = 2;
        items[i].shape[1].pixel[0].pos.y_pos = -1;
        items[i].shape[1].pixel[1].r.min = 163;
        items[i].shape[1].pixel[1].r.max = 175;
        items[i].shape[1].pixel[1].g.min = 169;
        items[i].shape[1].pixel[1].g.max = 182;
        items[i].shape[1].pixel[1].b.min = 168;
        items[i].shape[1].pixel[1].b.max = 180;
        items[i].shape[1].pixel[1].pos.x_pos = 3;
        items[i].shape[1].pixel[1].pos.y_pos = 0;
        items[i].shape[1].pixel[2].r.min = 95;
        items[i].shape[1].pixel[2].r.max = 108;
        items[i].shape[1].pixel[2].g.min = 95;
        items[i].shape[1].pixel[2].g.max = 108;
        items[i].shape[1].pixel[2].b.min = 88;
        items[i].shape[1].pixel[2].b.max = 101;
        items[i].shape[1].pixel[2].pos.x_pos = 3;
        items[i].shape[1].pixel[2].pos.y_pos = 1;
        i++;

        items[i].caption = "Shoe";
        items[i].item_type = "event";
        items[i].color = QColor(220,170,40);
        items[i].alt_color = QColor(220,170,40);
        items[i].penstyle = Qt::SolidLine;
        items[i].shapecount = 2;
        items[i].shape = new item_shape[items[i].shapecount];

        //SHOE SHAPE LEFT-BOT
        items[i].shape[0].needed = 4;
        items[i].shape[0].pixelcount = 4;
        items[i].shape[0].pixel = new pixel_data[items[i].shape[0].pixelcount];
        items[i].shape[0].pixel[0].r.min = 110;
        items[i].shape[0].pixel[0].r.max = 130;
        items[i].shape[0].pixel[0].g.min = 114;
        items[i].shape[0].pixel[0].g.max = 132;
        items[i].shape[0].pixel[0].b.min = 106;
        items[i].shape[0].pixel[0].b.max = 122;
        items[i].shape[0].pixel[0].pos.x_pos = 0;
        items[i].shape[0].pixel[0].pos.y_pos = 0;
        items[i].shape[0].pixel[1].r.min = 104;
        items[i].shape[0].pixel[1].r.max = 122;
        items[i].shape[0].pixel[1].g.min = 100;
        items[i].shape[0].pixel[1].g.max = 115;
        items[i].shape[0].pixel[1].b.min = 95;
        items[i].shape[0].pixel[1].b.max = 110;
        items[i].shape[0].pixel[1].pos.x_pos = -1;
        items[i].shape[0].pixel[1].pos.y_pos = 0;
        items[i].shape[0].pixel[2].r.min = 180;
        items[i].shape[0].pixel[2].r.max = 202;
        items[i].shape[0].pixel[2].g.min = 176;
        items[i].shape[0].pixel[2].g.max = 198;
        items[i].shape[0].pixel[2].b.min = 160;
        items[i].shape[0].pixel[2].b.max = 187;
        items[i].shape[0].pixel[2].pos.x_pos = -2;
        items[i].shape[0].pixel[2].pos.y_pos = 0;
        items[i].shape[0].pixel[3].r.min = 150;
        items[i].shape[0].pixel[3].r.max = 172;
        items[i].shape[0].pixel[3].g.min = 152;
        items[i].shape[0].pixel[3].g.max = 175;
        items[i].shape[0].pixel[3].b.min = 128;
        items[i].shape[0].pixel[3].b.max = 146;
        items[i].shape[0].pixel[3].pos.x_pos = -1;
        items[i].shape[0].pixel[3].pos.y_pos = 1;


        //SHOE SHAPE RIGHT-TOP
        items[i].shape[1].needed = 4;
        items[i].shape[1].pixelcount = 4;
        items[i].shape[1].pixel = new pixel_data[items[i].shape[1].pixelcount];
        items[i].shape[1].pixel[0].r.min = 110;
        items[i].shape[1].pixel[0].r.max = 130;
        items[i].shape[1].pixel[0].g.min = 114;
        items[i].shape[1].pixel[0].g.max = 132;
        items[i].shape[1].pixel[0].b.min = 106;
        items[i].shape[1].pixel[0].b.max = 122;
        items[i].shape[1].pixel[0].pos.x_pos = 0;
        items[i].shape[1].pixel[0].pos.y_pos = 0;
        items[i].shape[1].pixel[1].r.min = 75;
        items[i].shape[1].pixel[1].r.max = 95;
        items[i].shape[1].pixel[1].g.min = 78;
        items[i].shape[1].pixel[1].g.max = 95;
        items[i].shape[1].pixel[1].b.min = 73;
        items[i].shape[1].pixel[1].b.max = 90;
        items[i].shape[1].pixel[1].pos.x_pos = 1;
        items[i].shape[1].pixel[1].pos.y_pos = -2;
        items[i].shape[1].pixel[2].r.min = 162;
        items[i].shape[1].pixel[2].r.max = 183;
        items[i].shape[1].pixel[2].g.min = 157;
        items[i].shape[1].pixel[2].g.max = 177;
        items[i].shape[1].pixel[2].b.min = 136;
        items[i].shape[1].pixel[2].b.max = 155;
        items[i].shape[1].pixel[2].pos.x_pos = 1;
        items[i].shape[1].pixel[2].pos.y_pos = -3;
        items[i].shape[1].pixel[3].r.min = 52;
        items[i].shape[1].pixel[3].r.max = 65;
        items[i].shape[1].pixel[3].g.min = 38;
        items[i].shape[1].pixel[3].g.max = 52;
        items[i].shape[1].pixel[3].b.min = 25;
        items[i].shape[1].pixel[3].b.max = 40;
        items[i].shape[1].pixel[3].pos.x_pos = 1;
        items[i].shape[1].pixel[3].pos.y_pos = -4;
        i++;/**/
    }

    if(config.use_event == 5) {
        items[i].caption = "Kuerbis";
        items[i].item_type = "event";
        items[i].color = QColor(220,170,40);
        items[i].alt_color = QColor(220,170,40);
        items[i].penstyle = Qt::SolidLine;
        items[i].shapecount = 2;
        items[i].shape = new item_shape[items[i].shapecount];
        items[i].shape[0].needed = 4;
        items[i].shape[0].pixelcount = 4;
        items[i].shape[0].pixel = new pixel_data[items[i].shape[0].pixelcount];
        items[i].shape[0].pixel[0].r.min = 190;
        items[i].shape[0].pixel[0].r.max = 215;
        items[i].shape[0].pixel[0].g.min = 105;
        items[i].shape[0].pixel[0].g.max = 125;
        items[i].shape[0].pixel[0].b.min = 10;
        items[i].shape[0].pixel[0].b.max = 25;
        items[i].shape[0].pixel[0].pos.x_pos = 0;
        items[i].shape[0].pixel[0].pos.y_pos = 0;
        items[i].shape[0].pixel[1].r.min = 152;
        items[i].shape[0].pixel[1].r.max = 175;
        items[i].shape[0].pixel[1].g.min = 78;
        items[i].shape[0].pixel[1].g.max = 100;
        items[i].shape[0].pixel[1].b.min = 5;
        items[i].shape[0].pixel[1].b.max = 15;
        items[i].shape[0].pixel[1].pos.x_pos = -1;
        items[i].shape[0].pixel[1].pos.y_pos = 0;
        items[i].shape[0].pixel[2].r.min = 212;
        items[i].shape[0].pixel[2].r.max = 240;
        items[i].shape[0].pixel[2].g.min = 140;
        items[i].shape[0].pixel[2].g.max = 165;
        items[i].shape[0].pixel[2].b.min = 30;
        items[i].shape[0].pixel[2].b.max = 45;
        items[i].shape[0].pixel[2].pos.x_pos = 0;
        items[i].shape[0].pixel[2].pos.y_pos = -1;
        items[i].shape[0].pixel[3].r.min = 180;
        items[i].shape[0].pixel[3].r.max = 210;
        items[i].shape[0].pixel[3].g.min = 84;
        items[i].shape[0].pixel[3].g.max = 100;
        items[i].shape[0].pixel[3].b.min = 10;
        items[i].shape[0].pixel[3].b.max = 25;
        items[i].shape[0].pixel[3].pos.x_pos = 1;
        items[i].shape[0].pixel[3].pos.y_pos = 0;

        //DARKER SHAPE
        items[i].shape[1].needed = 4;
        items[i].shape[1].pixelcount = 4;
        items[i].shape[1].pixel = new pixel_data[items[i].shape[1].pixelcount];
        items[i].shape[1].pixel[0].r.min = 160;
        items[i].shape[1].pixel[0].r.max = 180;
        items[i].shape[1].pixel[0].g.min = 85;
        items[i].shape[1].pixel[0].g.max = 102;
        items[i].shape[1].pixel[0].b.min = 10;
        items[i].shape[1].pixel[0].b.max = 25;
        items[i].shape[1].pixel[0].pos.x_pos = 0;
        items[i].shape[1].pixel[0].pos.y_pos = 0;
        items[i].shape[1].pixel[1].r.min = 132;
        items[i].shape[1].pixel[1].r.max = 152;
        items[i].shape[1].pixel[1].g.min = 70;
        items[i].shape[1].pixel[1].g.max = 82;
        items[i].shape[1].pixel[1].b.min = 5;
        items[i].shape[1].pixel[1].b.max = 15;
        items[i].shape[1].pixel[1].pos.x_pos = -1;
        items[i].shape[1].pixel[1].pos.y_pos = 0;
        items[i].shape[1].pixel[2].r.min = 190;
        items[i].shape[1].pixel[2].r.max = 210;
        items[i].shape[1].pixel[2].g.min = 125;
        items[i].shape[1].pixel[2].g.max = 140;
        items[i].shape[1].pixel[2].b.min = 25;
        items[i].shape[1].pixel[2].b.max = 38;
        items[i].shape[1].pixel[2].pos.x_pos = 0;
        items[i].shape[1].pixel[2].pos.y_pos = -1;
        items[i].shape[1].pixel[3].r.min = 145;
        items[i].shape[1].pixel[3].r.max = 170;
        items[i].shape[1].pixel[3].g.min = 68;
        items[i].shape[1].pixel[3].g.max = 83;
        items[i].shape[1].pixel[3].b.min = 10;
        items[i].shape[1].pixel[3].b.max = 25;
        items[i].shape[1].pixel[3].pos.x_pos = 1;
        items[i].shape[1].pixel[3].pos.y_pos = 0;
        i++;
    }

    if(config.use_event == 6) {
        items[i].caption = "Stripy egg";
        items[i].item_type = "event";
        items[i].color = QColor(220,170,40);
        items[i].alt_color = QColor(220,170,40);
        items[i].penstyle = Qt::SolidLine;
        items[i].shapecount = 2;
        items[i].shape = new item_shape[items[i].shapecount];
        items[i].shape[0].needed = 3;
        items[i].shape[0].pixelcount = 3;
        items[i].shape[0].pixel = new pixel_data[items[i].shape[0].pixelcount];
        items[i].shape[0].pixel[0].r.min = 78;
        items[i].shape[0].pixel[0].r.max = 95;
        items[i].shape[0].pixel[0].g.min = 125;
        items[i].shape[0].pixel[0].g.max = 145;
        items[i].shape[0].pixel[0].b.min = 195;
        items[i].shape[0].pixel[0].b.max = 225;
        items[i].shape[0].pixel[0].pos.x_pos = -1;
        items[i].shape[0].pixel[0].pos.y_pos = -2;
        items[i].shape[0].pixel[1].r.min = 140;
        items[i].shape[0].pixel[1].r.max = 160;
        items[i].shape[0].pixel[1].g.min = 185;
        items[i].shape[0].pixel[1].g.max = 210;
        items[i].shape[0].pixel[1].b.min = 178;
        items[i].shape[0].pixel[1].b.max = 205;
        items[i].shape[0].pixel[1].pos.x_pos = 0;
        items[i].shape[0].pixel[1].pos.y_pos = -1;
        items[i].shape[0].pixel[2].r.min = 85;
        items[i].shape[0].pixel[2].r.max = 103;
        items[i].shape[0].pixel[2].g.min = 130;
        items[i].shape[0].pixel[2].g.max = 150;
        items[i].shape[0].pixel[2].b.min = 188;
        items[i].shape[0].pixel[2].b.max = 220;
        items[i].shape[0].pixel[2].pos.x_pos = 0;
        items[i].shape[0].pixel[2].pos.y_pos = 0;

        //DARKER SHAPE
        items[i].shape[1].needed = 3;
        items[i].shape[1].pixelcount = 3;
        items[i].shape[1].pixel = new pixel_data[items[i].shape[1].pixelcount];
        items[i].shape[1].pixel[0].r.min = 133;
        items[i].shape[1].pixel[0].r.max = 148;
        items[i].shape[1].pixel[0].g.min = 195;
        items[i].shape[1].pixel[0].g.max = 215;
        items[i].shape[1].pixel[0].b.min = 162;
        items[i].shape[1].pixel[0].b.max = 178;
        items[i].shape[1].pixel[0].pos.x_pos = 0;
        items[i].shape[1].pixel[0].pos.y_pos = 1;
        items[i].shape[1].pixel[1].r.min = 85;
        items[i].shape[1].pixel[1].r.max = 100;
        items[i].shape[1].pixel[1].g.min = 148;
        items[i].shape[1].pixel[1].g.max = 162;
        items[i].shape[1].pixel[1].b.min = 148;
        items[i].shape[1].pixel[1].b.max = 162;
        items[i].shape[1].pixel[1].pos.x_pos = -1;
        items[i].shape[1].pixel[1].pos.y_pos = 1;
        items[i].shape[1].pixel[2].r.min = 170;
        items[i].shape[1].pixel[2].r.max = 190;
        items[i].shape[1].pixel[2].g.min = 150;
        items[i].shape[1].pixel[2].g.max = 165;
        items[i].shape[1].pixel[2].b.min = 17;
        items[i].shape[1].pixel[2].b.max = 26;
        items[i].shape[1].pixel[2].pos.x_pos = 1;
        items[i].shape[1].pixel[2].pos.y_pos = 2;
        i++;
    }
}
